Get Transaction Debug URL
curl --request GET \
--url https://developer.world.org/api/v2/minikit/transaction/debug \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.world.org/api/v2/minikit/transaction/debug', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"debugUrl": "https://dashboard.tenderly.co/tx/...",
"createdAt": "2024-03-21T10:30:00.000Z",
"block": 12345678,
"simulationRequestId": "sim_abc123def456",
"simulationError": "Permit signature expired",
"walletAddress": "0x1234..."
}
]
}Developer Portal
Get Transaction Debug URL
Debug transactions that failed during the prepare stage. Returns Tenderly URLs when applicable.
GET
/
api
/
v2
/
minikit
/
transaction
/
debug
Get Transaction Debug URL
curl --request GET \
--url https://developer.world.org/api/v2/minikit/transaction/debug \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://developer.world.org/api/v2/minikit/transaction/debug', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"transactions": [
{
"debugUrl": "https://dashboard.tenderly.co/tx/...",
"createdAt": "2024-03-21T10:30:00.000Z",
"block": 12345678,
"simulationRequestId": "sim_abc123def456",
"simulationError": "Permit signature expired",
"walletAddress": "0x1234..."
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
The app_id corresponding to the transaction that is being queried.
Response
Debug information list
Show child attributes
Show child attributes
Was this page helpful?